/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void FLprompt (const char Prompt[]);

Purpose:
  Print a prompt

Description:
  This routine prints a prompt string if both standard output and standard
  input are terminals.

Parameters:
   -> const char Prompt[]
      Prompt string.  This string is printed to standard output if both
      standard output and standard input are terminals.  If Prompt is NULL, no
      prompt is printed.

Author / revision:
  P. Kabal  Copyright (C) 1997
  $Revision: 1.9 $  $Date: 1997/10/14 16:02:55 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: FLprompt.c 1.9 1997/10/14 libtsp-v3r0 $";

#include <libtsp.h>
#include <libtsp/nucleus.h>
#include <libtsp/Xstdio.h>

void
FLprompt (Prompt)

     const char Prompt[];

{
  if (Prompt != NULL && FLterm (stdout) && FLterm (stdin)) {
    fprintf (stdout, "%s", Prompt);
    fflush (stdout);
  }

  return;
}
