/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void VRlPrint (FILE *fp, const char Header[], const long int x[], int N)

Purpose:
  Print a long integer array along with a header text

Description:
  This routine prints the values of a long int array along with an identifying
  header.

Parameters:
   -> FILE *fp
      File pointer for the output.  If fp is NULL, no printing occurs.
   -> const char Header[]
      Character string for the header.  The header line is omitted if the
      header string is empty.
   -> const long int x[]
      Array of N long ints
   -> int N
      Number of elements in x

Author / revision:
  P. Kabal  Copyright (C) 1996
  $Revision: 1.1 $  $Date: 1996/05/31 16:14:25 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: VRlPrint.c 1.1 1996/05/31 libtsp-v3r0 $";

#include <libtsp.h>

void
VRlPrint (fp, Header, x, N)

     FILE *fp;
     const char Header[];
     const long int x[];
     int N;

{
  MAlPrint (fp, Header, &x, 1, N);

  return;
}
